from domainhook.util import *

if __name__ == '__main__':
    logger = logging.getLogger()
    format_ = logging.Formatter('%(asctime)s %(levelname)-8s [%(threadName)-10s] %(message)s')
    std_hand = logging.StreamHandler(sys.stdout)
    std_hand.setFormatter(format_)
    file_hand = logging.FileHandler("/var/log/hedron/domain-hook.log")
    file_hand.setFormatter(format_)
    logger.setLevel(logging.DEBUG)

    logger.addHandler(std_hand)
    logger.addHandler(file_hand)

    logger.info("init")
    DBusGMainLoop(set_as_default=True)

    # dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
    systembus = dbus.SystemBus()
    object = DBUSRegister()


    # mainloop = gobject.MainLoop()
    # mainloop.run()
    
    # proxy = systembus.get_object("com.kim.client","/clientinstall")
    # iface = dbus.Interface(proxy, dbus_interface='com.kim.client')
    # iface.connect_to_signal("uninstalled", tuiyu)
    # iface.connect_to_signal("installed", jiayu)
    # register = DBUSRegister()
    # systembus.add_signal_receiver(installed_with_update_port, dbus_interface="com.kim.client", signal_name="kcm_addr")
    # systembus.add_signal_receiver(installed_with_disable_localuser, dbus_interface="com.kim.client", signal_name="installed")
    # systembus.add_signal_receiver(object.install, dbus_interface="com.kim.client", signal_name="installed")

    # systembus.add_signal_receiver(installed_with_update_port, dbus_interface="com.kim.client", signal_name="kcm_addr_without_kim")
    # systembus.add_signal_receiver(install_with_add_certificate, dbus_interface="com.kim.client", signal_name="installed_without_kim")
    systembus.add_signal_receiver(object.uninstall, dbus_interface="com.kim.client", signal_name="uninstalled")
    systembus.add_signal_receiver(object.uninstall, dbus_interface="com.kim.client", signal_name="uninstalled_without_kim")
    logger.info("started signal receiver")

    loop = GLib.MainLoop()
    logger.info("starting main loop")
    loop.run()
